package empty_interface

import (
	"fmt"
	"testing"
)

// 空接口与断言
// 1.空接口可以表示任何类型
// 2.通过断言来将空接口转换为制定类型

// 空接口入参
func DoSomething(p interface{}) {
	// if i, ok := p.(int); ok {
	// 	fmt.Println("Integer", i)
	// 	return
	// }

	// if s, ok := p.(string); ok {
	// 	fmt.Println("String", s)
	// 	return
	// }

	// fmt.Println("Unknown Type")
	switch v := p.(type) {
	case int:
		fmt.Println("Integer", v)
	case string:
		fmt.Println("String", v)
	default:
		fmt.Println("Unknown Type")
	}
}

// 测试空接口入参断言
func TestEmptyInterfaceAssertion(t *testing.T) {
	DoSomething(10)
	DoSomething("1231")
	DoSomething(8.88)
}
