package obj_pool

import (
	"fmt"
	"testing"
	"time"
)

func TestObjPool(t *testing.T) {
	num := 10
	pool := NewObjPool(num)
	//if err := pool.PutObj(&MyObj{}); err != nil { // 尝试防止超出池大小的对象
	//	t.Error(err)
	//}
	for i := 0; i < num; i++ {
		if obj, err := pool.GetObj(time.Second * 1); err != nil {
			t.Error(err)
		} else {
			fmt.Printf("%T\n", obj)
			if err := pool.PutObj(obj); err != nil {
				t.Error(err)
			}
		}
	}

	t.Log("Done.")
}
