package constant_test

import "testing"

// 声明常量
const (
	// 连续常量写法 借助 iota
	Monday = iota + 1
	Tuesday
	Wednesday
)

const (
	// 位运算
	Readable = 1 << iota
	Writeable
	Executable
)

const (
	Cat = 1
	Dog = 2
	Pig = 3
)

func TestConstant(t *testing.T) {
	t.Log(Monday, Tuesday)
}

func TestConstant1(t *testing.T) {
	a := 1
	t.Log(a&Readable, a&Writeable, a&Executable)

	t.Log(a&Readable == Readable, a&Writeable == Writeable, a&Executable == Executable)

}
