package fib

import (
	"testing"
)

func TestFibList(t *testing.T) {
	// var a int = 1
	// var b int = 1

	// var (
	// 	a int = 1
	// 	b int = 1
	// )

	a := 1
	b := 1
	t.Log(a)
	for i := 0; i < 5; i++ {
		t.Log(b)
		tmp := a
		a = b
		b = tmp + a
	}
}

func TestExchange(t *testing.T) {
	// 其他编程语言常见写法 借助中间变量tmp
	a := 1
	b := 2
	tmp := a
	a = b
	b = tmp
	t.Log(a, b)

	// go 值替换
	a, b = b, a
	t.Log(a, b)
}

func TestDemo(t *testing.T) {
	a := "123"
	b := "321"
	t.Log(&a, &b)
	a, b = b, a
	t.Log(&a, &b, a, b)
}
