package condition_test

import "testing"

// if
func TestIfMultiSec(t *testing.T) {
	if a := 1 == 1.0; a {
		t.Log("1 == 1")
	} else {
		t.Log("!=")
	}
}

// switch
func TestSwitchMultiCase(t *testing.T) {
	for i := 0; i < 5; i++ {
		switch i {
		case 0, 2:
			t.Log("偶数Even")
		case 1, 3:
			t.Log("基数Odd")
		default:
			t.Log("it is not 0-3")
		}
	}
}

// switch2
func TestSwitchCaseCondition(t *testing.T) {
	for i := 0; i < 5; i++ {
		switch {
		case i%2 == 0:
			t.Log("偶数Even")
		case i%2 == 1:
			t.Log("基数Odd")
		default:
			t.Log("it is default case")
		}
	}
}
