package main

import (
	"fmt"
	"os"
)

// Go中 main 函数不支持任何返回值
// main 函数不支持传入参数
func main() {
	// 通过 os.Args 获取命令行参数
	fmt.Println(os.Args)
	fmt.Println("Hello Golang!")
	os.Exit(0) // 通过os.Exit来返回状态
}

// package 必须是 main
// 方法名必须是 main()
// 文件名不一定是 main.go
