package string_test

import (
	"strconv"
	"strings"
	"testing"
)

func TestStringFn(t *testing.T) {
	s := "A,B,C"
	// 切割
	parts := strings.Split(s, ",")
	for _, v := range parts {
		t.Log(v)
	}

	// 连接
	t.Log(strings.Join(parts, "-"))
}

func TestStrConv(t *testing.T) {
	// int to string
	s := strconv.Itoa(10)
	t.Log(s)

	// string to int
	if i, err := strconv.Atoi("10"); err == nil {
		t.Log(10 + i)
	}

}
